com.snowflake.client.core

## Enum BasicEvent.QueryState

- java.lang.Object
- - java.lang.Enum<BasicEvent.QueryState>
  - - com.snowflake.client.core.BasicEvent.QueryState

All Implemented Interfaces:
  Serializable, Comparable<BasicEvent.QueryState>

Enclosing class:
  BasicEvent

    public static enum BasicEvent.QueryState
    extends Enum<BasicEvent.QueryState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONSUMING_RESULT`
`GETTING_FILES`
`PROCESSING_RESULT`
`PUTTING_FILES`
`QUERY_ENDED`
`QUERY_STARTED`
`SENDING_QUERY`
`WAITING_FOR_RESULT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getArgString()`
`String` `getDescription()`
`int` `getId()`
`static BasicEvent.QueryState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BasicEvent.QueryState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUERY_STARTED

    public static final BasicEvent.QueryState QUERY_STARTED

#### SENDING_QUERY

    public static final BasicEvent.QueryState SENDING_QUERY

#### WAITING_FOR_RESULT

    public static final BasicEvent.QueryState WAITING_FOR_RESULT

#### PROCESSING_RESULT

    public static final BasicEvent.QueryState PROCESSING_RESULT

#### CONSUMING_RESULT

    public static final BasicEvent.QueryState CONSUMING_RESULT

#### QUERY_ENDED

    public static final BasicEvent.QueryState QUERY_ENDED

#### GETTING_FILES

    public static final BasicEvent.QueryState GETTING_FILES

#### PUTTING_FILES

    public static final BasicEvent.QueryState PUTTING_FILES

### Method Detail

#### values

    public static BasicEvent.QueryState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BasicEvent.QueryState c : BasicEvent.QueryState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BasicEvent.QueryState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getId

    public int getId()

#### getDescription

    public String getDescription()

#### getArgString

    public String getArgString()